langcode: en
status: true
dependencies:
  module:
    - search_api_solr
id: text_edgestring_ascii_und_6_0_0
label: 'Edge NGram ASCII String Field'
minimum_solr_version: 6.0.0
custom_code: 'edgeasciistring'
field_type_language_code: und
domains: {}
field_type:
  name: text_edgenasciistring
  class: solr.TextField
  positionIncrementGap: 100
  analyzers:
    -
      type: index
      tokenizer:
        class: solr.StandardTokenizerFactory
      filters:
        -
          class: solr.LowerCaseFilterFactory
        -
          class: solr.RemoveDuplicatesTokenFilterFactory
        -
          class: solr.EdgeNGramFilterFactory
          minGramSize: 2
          maxGramSize: 25
        - 
          class: solr.ASCIIFoldingFilterFactory
          preserveOriginal: true
        -
          class: solr.WordDelimiterGraphFilterFactory
          preserveOriginal: 1
    -
      type: query
      tokenizer:
        class: solr.StandardTokenizerFactory
      filters:
        -
          class: solr.LowerCaseFilterFactory
        -
          class: solr.RemoveDuplicatesTokenFilterFactory
        - 
          class: solr.ASCIIFoldingFilterFactory
          preserveOriginal: true
        -
          class: solr.WordDelimiterGraphFilterFactory
          preserveOriginal: 1
solr_configs: {}
text_files: {}
